<Project Sdk="Microsoft.NET.Sdk.WindowsDesktop">

  <PropertyGroup>
    <TargetFrameworks>netcoreapp3.1;net5.0-windows7.0</TargetFrameworks>
    <UseWindowsForms>true</UseWindowsForms>

    <SignAssembly>False</SignAssembly>
    <PackageId>FastReport.CoreWin.Bars</PackageId>

    <AssemblyOriginatorKeyFile>../../FastReport.Net.snk</AssemblyOriginatorKeyFile>
    <Configurations>Debug;Release;Academic;Demo;WinForms;Community</Configurations>
  </PropertyGroup>

  <PropertyGroup>
    <Company>Fast Reports Inc.</Company>
    <Product>FastReport.Bars</Product>
    <Title>FastReport.Bars</Title>
    <Copyright>(c) 2002 by DevComponents.com, All Rights Reserved.</Copyright>
    <Description>Toolbar, Menubar, Docking.</Description>
  </PropertyGroup>
  
  <PropertyGroup>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <Optimize>true</Optimize>
    <BarsDir>..\..\FastReport.Bars</BarsDir>
    <RootNamespace>FastReport.DevComponents.DotNetBar</RootNamespace>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
    <BaseAddress>0</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <FileAlignment>4096</FileAlignment>
  </PropertyGroup>


  <PropertyGroup>
    <DefineConstants>DOTNET_4;TRACE;DOTNETBAR;FRAMEWORK20</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)' == 'Debug'">
    <DefineConstants>$(DefineConstants);DEBUG</DefineConstants>
    <DebugSymbols>true</DebugSymbols>
    <Optimize>false</Optimize>
    <WarningLevel>0</WarningLevel>
    <DebugType>full</DebugType>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)' != 'Debug'">
    <DebugSymbols>false</DebugSymbols>
    <WarningLevel>4</WarningLevel>
    <DebugType>none</DebugType>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)' == 'Community'">
    <AssemblyOriginatorKeyFile>..\..\FastReport.OpenSource.snk</AssemblyOriginatorKeyFile>
  </PropertyGroup>
  
    
  <ItemGroup>
    <EmbeddedResource Include="$(BarsDir)\**\*.ico;$(BarsDir)\**\*.bmp;$(BarsDir)\**\*.resx;$(BarsDir)\**\*.png;$(BarsDir)\**\*.CUR;$(BarsDir)\**\*.resources" Exclude="$(BarsDir)\obj\**\*.*">
      <Link>%(RecursiveDir)%(Filename)%(Extension)</Link>
	  </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <Compile Include="$(BarsDir)\**\*.cs" Exclude="$(BarsDir)\obj\**\*.cs;$(BarsDir)\DotNetBarDesignTime\**">
	    <Link>%(RecursiveDir)%(Filename)%(Extension)</Link>
    </Compile>
  </ItemGroup>
  
  <ItemGroup>
    <Compile Remove="$(BarsDir)\AssemblyInfo.cs" />
    <Compile Remove="$(BarsDir)\DockContainerItemDesigner.cs" />
    <Compile Remove="$(BarsDir)\DotNetBarDesigner.cs" />
    <Compile Remove="$(BarsDir)\OldBar.cs" />
    <Compile Remove="$(BarsDir)\ExplorerBarPanelControlHost.cs" />
    <Compile Remove="$(BarsDir)\TabPanel.cs" />
    <Compile Remove="$(BarsDir)\CommandLink.cs" />
    <Compile Remove="$(BarsDir)\TabPanelsCollection.cs" />
    <Compile Remove="$(BarsDir)\DotNetBarManagerDesigner.cs" />
    <Compile Remove="$(BarsDir)\ItemContainer.cs" />
    <Compile Remove="$(BarsDir)\ItemContainerDesigner.cs" />
    <Compile Remove="$(BarsDir)\TabStripDesigner.cs" />
    <Compile Remove="$(BarsDir)\TabControlDesigner.cs" />
    <Compile Remove="$(BarsDir)\NavigationBarDesigner.cs" />
    <Compile Remove="$(BarsDir)\NavigationPaneDesigner.cs" />
    <Compile Remove="$(BarsDir)\BarDesigner.cs" />
    <Compile Remove="$(BarsDir)\BarEditor.cs" />
    <Compile Remove="$(BarsDir)\BaseItemDesigner.cs" />
    <Compile Remove="$(BarsDir)\BarBaseControlDesigner.cs" />
    <Compile Remove="$(BarsDir)\BubbleBarDesigner.cs" />
    <Compile Remove="$(BarsDir)\DockSiteDocumentLayout.cs" />
    <Compile Remove="$(BarsDir)\WindowsHook.cs" />
    <Compile Remove="$(BarsDir)\VerticalContainerItem.cs" />
    <Compile Remove="$(BarsDir)\ToolMenu.cs" />
    <Compile Remove="$(BarsDir)\SideBarDesigner.cs" />
    <Compile Remove="$(BarsDir)\ShortcutsDesigner.cs" />
    <Compile Remove="$(BarsDir)\PopupsCollection.cs" />
    <Compile Remove="$(BarsDir)\ExplorerBarDesigner.cs" />
    <Compile Remove="$(BarsDir)\DefinitionPreviewControl.cs" />
    <Compile Remove="$(BarsDir)\CommandLinkButtonItem.cs" />
    <Compile Remove="$(BarsDir)\CommandLinkColorPickerDropDown.cs" />
    <Compile Remove="$(BarsDir)\CommandLinkComboBoxItem.cs" />
    <Compile Remove="$(BarsDir)\CommandLinkControlContainerItem.cs" />
    <Compile Remove="$(BarsDir)\CommandLinkDockContainerItem.cs" />
    <Compile Remove="$(BarsDir)\CommandLinkLabelItem.cs" />
    <Compile Remove="$(BarsDir)\CommandLinkProgressBarItem.cs" />
    <Compile Remove="$(BarsDir)\CommandLinkTextBoxItem.cs" />
    <Compile Remove="$(BarsDir)\PanelExDesigner.cs" />
    <Compile Remove="$(BarsDir)\DockSiteDesigner.cs" />
    <Compile Remove="$(BarsDir)\BarTextBox.cs" />
    <Compile Remove="$(BarsDir)\DevCoLicenseProvider.cs" />
    <Compile Remove="$(BarsDir)\Controls\ScrollBarImplementation.cs" />
    <Compile Remove="$(BarsDir)\Controls\ProgressStepper\MetroStepItemPainter.cs" />
  </ItemGroup>
  
  <ItemGroup>
    <PackageReference Include="System.Resources.Extensions" Version="4.6.0" />
  </ItemGroup>
  
</Project>
